//TEST DATA
var user_themes = {
	"Meizu White": {
    "name": "Meizu White",
		"color": "white",
		"style": "flat",
    "colors": {
      "homerow": "#ffe5e8eb",
      "outer_btn": "#fff3f6f9",
      "inner_btn": "#fff3f6f9",
      "press_btn": "#73666666",
      "shade_btn": "#73666666",
      "letters": "#424242",
      "tile": "#ffe5e8eb",
      "dimmed": "#80424242",
      "candy": "#80424242",
      "candyfocus": "#424242",
      "swipe": "#1AFFFFFF",
      "swipe_caps": "#1AFFFFFF"
    },
    "background": {
      "gradient": [
        "#FFFFFF"
      ]
    }
  },
  "Material Dark": {
    "name": "Material Dark",
    "icon": {
      "icon_class": "icon_circle",
      "color": "#4db6ac"
    },
		"style": "material",
		"color": "green",
    "colors": {
      "homerow": "#ff37474f",
      "outer_btn": "#00F5F5F5",
      "inner_btn": "#00F5F5F5",
      "press_btn": "#FF4db6ac",
      "shade_btn": "#00000000",
      "letters": "#eceff1",
      "tile": "#FF4db6ac",
      "dimmed": "#80eceff1",
      "candy": "#80eceff1",
      "candyfocus": "#eceff1",
      "swipe": "#1DFFFFFF",
      "swipe_caps": "#1DFFFFFF"
    },
    "background": {
      "gradient": [
        "#263238"
      ]
    }
  },
	"Material Dark 2": {
   "name": "Material Dark",
   "icon": {
     "icon_class": "icon_circle",
     "color": "#4db6ac"
   },
	"style": "material",
	"color": "green",
   "colors": {
     "homerow": "#ff37474f",
     "outer_btn": "#00F5F5F5",
     "inner_btn": "#00F5F5F5",
     "press_btn": "#FF4db6ac",
     "shade_btn": "#00000000",
     "letters": "#eceff1",
     "tile": "#FF4db6ac",
     "dimmed": "#80eceff1",
     "candy": "#80eceff1",
     "candyfocus": "#eceff1",
     "swipe": "#1DFFFFFF",
     "swipe_caps": "#1DFFFFFF"
   },
   "background": {
     "gradient": [
       "#263238"
     ]
   }
 },
	"Material Dark 3": {
   "name": "Material Dark",
   "icon": {
     "icon_class": "icon_circle",
     "color": "#4db6ac"
   },
	"style": "material",
	"color": "green",
   "colors": {
     "homerow": "#ff37474f",
     "outer_btn": "#00F5F5F5",
     "inner_btn": "#00F5F5F5",
     "press_btn": "#FF4db6ac",
     "shade_btn": "#00000000",
     "letters": "#eceff1",
     "tile": "#FF4db6ac",
     "dimmed": "#80eceff1",
     "candy": "#80eceff1",
     "candyfocus": "#eceff1",
     "swipe": "#1DFFFFFF",
     "swipe_caps": "#1DFFFFFF"
   },
   "background": {
     "gradient": [
       "#263238"
     ]
   }
 },
	"Material Dark 4": {
   "name": "Material Dark",
   "icon": {
     "icon_class": "icon_circle",
     "color": "#4db6ac"
   },
	"style": "material",
	"color": "green",
   "colors": {
     "homerow": "#ff37474f",
     "outer_btn": "#00F5F5F5",
     "inner_btn": "#00F5F5F5",
     "press_btn": "#FF4db6ac",
     "shade_btn": "#00000000",
     "letters": "#eceff1",
     "tile": "#FF4db6ac",
     "dimmed": "#80eceff1",
     "candy": "#80eceff1",
     "candyfocus": "#eceff1",
     "swipe": "#1DFFFFFF",
     "swipe_caps": "#1DFFFFFF"
   },
   "background": {
     "gradient": [
       "#263238"
     ]
   }
 },
	"Material Dark 5": {
   "name": "Material Dark",
   "icon": {
     "icon_class": "icon_circle",
     "color": "#4db6ac"
   },
	"style": "material",
	"color": "green",
   "colors": {
     "homerow": "#ff37474f",
     "outer_btn": "#00F5F5F5",
     "inner_btn": "#00F5F5F5",
     "press_btn": "#FF4db6ac",
     "shade_btn": "#00000000",
     "letters": "#eceff1",
     "tile": "#FF4db6ac",
     "dimmed": "#80eceff1",
     "candy": "#80eceff1",
     "candyfocus": "#eceff1",
     "swipe": "#1DFFFFFF",
     "swipe_caps": "#1DFFFFFF"
   },
   "background": {
     "gradient": [
       "#263238"
     ]
   }
 },
	"Material Dark 6": {
   "name": "Material Dark",
   "icon": {
     "icon_class": "icon_circle",
     "color": "#4db6ac"
   },
	"style": "material",
	"color": "green",
   "colors": {
     "homerow": "#ff37474f",
     "outer_btn": "#00F5F5F5",
     "inner_btn": "#00F5F5F5",
     "press_btn": "#FF4db6ac",
     "shade_btn": "#00000000",
     "letters": "#eceff1",
     "tile": "#FF4db6ac",
     "dimmed": "#80eceff1",
     "candy": "#80eceff1",
     "candyfocus": "#eceff1",
     "swipe": "#1DFFFFFF",
     "swipe_caps": "#1DFFFFFF"
   },
   "background": {
     "gradient": [
       "#263238"
     ]
   }
 }
};

var themes = {
  "Finding Nemo": {
    "name": "Finding Nemo",
		"style": "licensed",
		"color": "blue",
		"colors": {
      "homerow": "#29ffffff",
      "inner_btn": "#00ffffff",
      "press_btn": "#78ffffff",
      "shade_btn": "#00000000",
      "letters": "#ffffffff",
      "tile": "#782c5c7d",
      "candy": "#80FFFFFF",
      "candyfocus": "#FFFFFF",
      "swipe": "#1DFFFFFF",
      "outline": "#00FFFFFF"
    },
    "background": {
      "gradient": [
        "#0076a3",
        "#184c70"
      ],
      "image": "findingnemo.png",
      "image-alpha": "0.9",
      "position": "scale"
    }
  },
  "Om Nom": {
    "name": "Om Nom",
    "colors": {
      "homerow": "#1fffffff",
      "inner_btn": "#1c888888",
      "press_btn": "#7affffff",
      "shade_btn": "#33000000",
      "letters": "#50351c",
      "tile": "#8abf893f",
      "candy": "#8f50351c",
      "candyfocus": "#50351c",
      "swipe": "#1DFFFFFF",
      "outline": "#00FFFFFF"
    },
    "background": {
      "gradient": [
        "#e9a961"
      ],
      "image": "omnom.png",
      "image-alpha": "0.8",
      "position": "scale"
    }
  },
  "Big Hero 6": {
    "name": "Big Hero 6",
    "sorting": {
      "color": "blue",
      "style": "licensed"
    },
    "colors": {
      "homerow": "#54ffffff",
      "inner_btn": "#00ffffff",
      "press_btn": "#33ff0000",
      "shade_btn": "#00838383",
      "letters": "#404040",
      "tile": "#4Dff0000",
      "candy": "#80404040",
      "candyfocus": "#404040",
      "swipe": "#1DFFFFFF",
      "outline": "#00FFFFFF"
    },
    "background": {
      "gradient": [
        "#81ccdc",
        "#d5f7fe",
        "#d5f7fe"
      ],
      "image": "bighero6.png",
      "image-alpha": "0.9",
      "position": "scale"
    }
  },
  "Prism": {
    "name": "Prism",
    "extra": "Swipechange",
    "description": "Changes color on swipe!",
		"color": "red",
		"style": "animated",
    "colors": {
      "homerow": "#00ffffff",
      "inner_btn": "#00ffffff",
      "press_btn": "#80f5f5f5",
      "shade_btn": "#80f5f5f5",
      "letters": "#404040",
      "tile": "#80f5f5f5",
      "candy": "#80404040",
      "candyfocus": "#404040",
      "swipe": "#1DFFFFFF",
      "outline": "#00000000"
    },
    "background": {
      "gradient": [
        "#ff5b50",
        "#ff8c50"
      ],
      "image": "prism.png",
      "image-alpha": "1",
      "position": "scale"
    }
  },
  "Cracked": {
    "name": "Cracked",
    "extra": "Swipechange",
    "description": "Changes color on swipe!",
		"color": "red",
		"style": "animated",
    "colors": {
      "homerow": "#00ffffff",
      "inner_btn": "#00ffffff",
      "press_btn": "#801d1d1d",
      "shade_btn": "#801d1d1d",
      "letters": "#eceff1",
      "tile": "#801d1d1d",
      "candy": "#80eceff1",
      "candyfocus": "#eceff1",
      "swipe": "#1DFFFFFF",
      "outline": "#00000000"
    },
    "background": {
      "gradient": [
        "#af0c00",
        "#af3e01"
      ],
      "image": "cracks.png",
      "image-alpha": "0.8",
      "position": "scale"
    }
  },
  "Outrun": {
    "name": "Outrun",
		"color": "purple",
		"style": "image",
    "colors": {
      "homerow": "#21ffffff",
      "inner_btn": "#00F5F5F5",
      "press_btn": "#61cccccc",
      "shade_btn": "#00000000",
      "letters": "#eceff1",
      "tile": "#61cccccc",
      "candy": "#80eceff1",
      "candyfocus": "#eceff1",
      "swipe": "#1DFFFFFF",
      "outline": "#00FFFFFF"
    },
    "background": {
      "gradient": [
        "#e08651",
        "#d7715a",
        "#a82940",
        "#ad2d6d",
        "#b0318f",
        "#b0318f"
      ],
      "image": "outrun.png",
      "position": "scale"
    }
  },
  "Grid": {
    "name": "Grid",
		"color": "black",
		"style": "image",
    "colors": {
      "homerow": "#1Affffff",
      "inner_btn": "#00F5F5F5",
      "press_btn": "#26A69A",
      "shade_btn": "#00000000",
      "letters": "#ffF0F1F2",
      "tile": "#26A69A",
      "candy": "#CCeceff1",
      "candyfocus": "#ffeceff1",
      "swipe": "#1DFFFFFF",
      "outline": "#00000000"
    },
    "background": {
      "gradient": [
        "#000000"
      ],
      "image": "city.png",
      "image-alpha": "0.7",
      "position": "scale"
    }
  },
  "Material Dream": {
    "name": "Material Dream",
    "icon": {
      "icon_class": "icon_circle",
      "color": "#EC4B69"
    },
		"style": "material",
		"color": "purple",
    "colors": {
      "homerow": "#413556",
      "inner_btn": "#00F5F5F5",
      "press_btn": "#EC4B69",
      "shade_btn": "#00000000",
      "letters": "#F0F1F2",
      "tile": "#EC4B69",
      "candy": "#80eceff1",
      "candyfocus": "#eceff1",
      "swipe": "#1DFFFFFF",
      "outline": "#00FFFFFF"
    },
    "background": {
      "gradient": [
        "#2B1E41"
      ]
    }
  },
  "Material Purple": {
    "name": "Material Purple",
    "icon": {
      "icon_class": "icon_circle",
      "color": "#FF80AB"
    },
		"color": "purple",
		"style": "material",
    "colors": {
      "homerow": "#D1C4E9",
      "inner_btn": "#00F5F5F5",
      "press_btn": "#FF80AB",
      "shade_btn": "#00000000",
      "letters": "#263238",
      "tile": "#FF80AB",
      "dimmed": "#80404040",
      "candy": "#80404040",
      "candyfocus": "#404040",
      "swipe": "#1d888888",
      "swipe_caps": "#1d888888"
    },
    "background": {
      "gradient": [
        "#B39ED6"
      ]
    }
  },
  "Earth Brown": {
    "name": "Earth Brown",
		"color": "brown",
		"style": "image",
    "colors": {
      "homerow": "#4dffffff",
      "inner_btn": "#00F5F5F5",
      "press_btn": "#73666666",
      "shade_btn": "#00000000",
      "letters": "#3B3C3C",
      "tile": "#BFF5F5F5",
      "dimmed": "#80404040",
      "candy": "#80404040",
      "candyfocus": "#404040",
      "swipe": "#1d888888",
      "swipe_caps": "#1d888888"
    },
    "background": {
      "gradient": [
        "#BA9EA0"
      ],
      "image": "branches.png",
      "image-alpha": 1,
      "position": "scale"
    }
  },
  "Pastel Pink": {
    "name": "Pastel Pink",
		"color": "pink",
		"style": "pastel",
    "colors": {
      "homerow": "#4dffffff",
      "inner_btn": "#00F5F5F5",
      "press_btn": "#73666666",
      "shade_btn": "#00000000",
      "letters": "#404040",
      "tile": "#BFF5F5F5",
      "dimmed": "#80404040",
      "candy": "#80404040",
      "candyfocus": "#404040",
      "swipe": "#1d888888",
      "swipe_caps": "#1d888888"
    },
    "background": {
      "gradient": [
        "#fdbbc4"
      ]
    }
  },
  "Yellow Flower": {
    "name": "Yellow Flower",
		"color": "yellow",
		"style": "image",
    "colors": {
      "homerow": "#4dffffff",
      "inner_btn": "#00F5F5F5",
      "press_btn": "#73666666",
      "shade_btn": "#00000000",
      "letters": "#404040",
      "tile": "#BFF5F5F5",
      "dimmed": "#80404040",
      "candy": "#80404040",
      "candyfocus": "#404040",
      "swipe": "#1d888888",
      "swipe_caps": "#1d888888"
    },
    "background": {
      "gradient": [
        "#fef9ce"
      ],
      "image": "bouquet.png",
      "image-alpha": 1,
      "position": "scale"
    }
  },
  "Paper Blue": {
    "name": "Paper Blue",
		"color": "blue",
		"style": "image",
    "colors": {
      "homerow": "#4dffffff",
      "inner_btn": "#00F5F5F5",
      "press_btn": "#73666666",
      "shade_btn": "#00000000",
      "letters": "#404040",
      "tile": "#BFF5F5F5",
      "dimmed": "#80404040",
      "candy": "#80404040",
      "candyfocus": "#404040",
      "swipe": "#1d888888",
      "swipe_caps": "#1d888888"
    },
    "background": {
      "gradient": [
        "#7dd5f5"
      ],
      "image": "tree_stickers.png",
      "image-alpha": 1,
      "position": "scale"
    }
  },
  "Tutorial": {
    "name": "Tutorial",
    "extra": "Swipechange",
    "colors": {
      "homerow": "#55FFFFFF",
      "outer_btn": "#55A3A3A3",
      "inner_btn": "#55A3A3A3",
      "press_btn": "#73000000",
      "shade_btn": "#73000000",
      "letters": "#E1E1E1",
      "tile": "#A6A3A3A3",
      "dimmed": "#80E1E1E1",
      "candy": "#80E1E1E1",
      "candyfocus": "#E1E1E1",
      "swipe": "#1DFFFFFF",
      "swipe_caps": "#1DFFFFFF"
    },
    "background": {
      "gradient": [
        "#08404c",
        "#091e48"
      ]
    }
  },
  "Pinwheel": {
    "name": "Pinwheel",
    "description": "Changes color over time!",
    "extra": "Radiant",
    "sorting": {
      "color": "red",
      "style": "colorchanging"
    },
    "colors": {
      "homerow": "#99ffffff",
      "outer_btn": "#73F5F5F5",
      "inner_btn": "#73F5F5F5",
      "press_btn": "#73666666",
      "shade_btn": "#00666666",
      "letters": "#404040",
      "tile": "#BFF5F5F5",
      "dimmed": "#80404040",
      "candy": "#80404040",
      "candyfocus": "#404040",
      "swipe": "#1d888888",
      "swipe_caps": "#1d888888"
    },
    "background": {
      "gradient": [
        "#555555",
        "#555555"
      ]
    }
  },
  "Colorwheel": {
    "name": "Colorwheel",
    "description": "Changes color over time!",
    "extra": "Radiant",
		"color": "red",
		"style": "colorchanging",
    "colors": {
      "homerow": "#30FFFFFF",
      "outer_btn": "#20ffffff",
      "inner_btn": "#20ffffff",
      "press_btn": "#54ffffff",
      "shade_btn": "#00FFFFFF",
      "letters": "#FFFFFF",
      "tile": "#A6A3A3A3",
      "dimmed": "#90FFFFFF",
      "candy": "#adffffff",
      "candyfocus": "#ffffffff",
      "swipe": "#1DFFFFFF",
      "swipe_caps": "#1DFFFFFF"
    },
    "background": {
      "gradient": [
        "#555555",
        "#555555"
      ]
    }
  },
  "Rainbow Mist": {
    "name": "Rainbow Mist",
    "extra": "Twinkles",
		"color": "rainbow",
		"style": "modern",
    "colors": {
      "homerow": "#30FFFFFF",
      "outer_btn": "#20ffffff",
      "inner_btn": "#20ffffff",
      "press_btn": "#54ffffff",
      "shade_btn": "#00FFFFFF",
      "letters": "#FFFFFF",
      "tile": "#80E1B228",
      "dimmed": "#90FFFFFF",
      "candy": "#adffffff",
      "candyfocus": "#ffffffff",
      "swipe": "#1DFFFFFF",
      "swipe_caps": "#1DFFFFFF"
    },
    "background": {
      "gradient": [
        "#a51d1d",
        "#bd6a11",
        "#cbb410",
        "#9eb741",
        "#3394aa"
      ],
      "image": "rainbow_mist.png",
      "image-alpha": 1,
      "position": "scale"
    }
  },
  "Shamrock": {
    "name": "Shamrock",
    "extra": "Twinkles",
		"color": "green",
		"style": "image",
    "colors": {
      "homerow": "#30FFFFFF",
      "outer_btn": "#00FFFFFF",
      "inner_btn": "#00FFFFFF",
      "press_btn": "#80E1B228",
      "shade_btn": "#00FFFFFF",
      "letters": "#FFFFFF",
      "tile": "#80E1B228",
      "dimmed": "#90FFFFFF",
      "candy": "#adffffff",
      "candyfocus": "#ffeddf7d",
      "swipe": "#1DFFFFFF",
      "swipe_caps": "#1DFFFFFF"
    },
    "icons": {
      "tile": ""
    },
    "background": {
      "gradient": [
        "#0e7b00",
        "#12ae33"
      ],
      "image": "shamrock.png",
      "image-alpha": 1,
      "position": "scale"
    }
  },
  "Valentine": {
    "name": "Valentine",
		"color": "red",
		"style": "image",
    "colors": {
      "homerow": "#25ffffff",
      "outer_btn": "#25888888",
      "inner_btn": "#25888888",
      "press_btn": "#00000000",
      "shade_btn": "#00000000",
      "letters": "#ffffff",
      "tile": "#ffa70017",
      "dimmed": "#80ffffff",
      "candy": "#80ffffff",
      "candyfocus": "#ffffff",
      "swipe": "#1aa70017",
      "swipe_caps": "#1d888888"
    },
    "icons": {
      "tile": ""
    },
    "background": {
      "gradient": [
        "#ff374d",
        "#910000"
      ],
      "image": "valentine.png",
      "image-alpha": 1,
      "position": "scale"
    }
  },
  "Meizu White": {
    "name": "Meizu White",
		"color": "white",
		"style": "flat",
    "colors": {
      "homerow": "#ffe5e8eb",
      "outer_btn": "#fff3f6f9",
      "inner_btn": "#fff3f6f9",
      "press_btn": "#73666666",
      "shade_btn": "#73666666",
      "letters": "#424242",
      "tile": "#ffe5e8eb",
      "dimmed": "#80424242",
      "candy": "#80424242",
      "candyfocus": "#424242",
      "swipe": "#1AFFFFFF",
      "swipe_caps": "#1AFFFFFF"
    },
    "background": {
      "gradient": [
        "#FFFFFF"
      ]
    }
  },
  "Material Dark": {
    "name": "Material Dark",
    "icon": {
      "icon_class": "icon_circle",
      "color": "#4db6ac"
    },
		"style": "material",
		"color": "green",
    "colors": {
      "homerow": "#ff37474f",
      "outer_btn": "#00F5F5F5",
      "inner_btn": "#00F5F5F5",
      "press_btn": "#FF4db6ac",
      "shade_btn": "#00000000",
      "letters": "#eceff1",
      "tile": "#FF4db6ac",
      "dimmed": "#80eceff1",
      "candy": "#80eceff1",
      "candyfocus": "#eceff1",
      "swipe": "#1DFFFFFF",
      "swipe_caps": "#1DFFFFFF"
    },
    "background": {
      "gradient": [
        "#263238"
      ]
    }
  },
  "Material Light": {
    "name": "Material Light",
    "icon": {
      "icon_class": "icon_circle",
      "color": "#4db6ac"
    },
		"color": "white",
		"style": "material",
    "colors": {
      "homerow": "#ffcfd8dc",
      "outer_btn": "#00F5F5F5",
      "inner_btn": "#00F5F5F5",
      "press_btn": "#FF4db6ac",
      "shade_btn": "#00000000",
      "letters": "#263238",
      "tile": "#A64db6ac",
      "dimmed": "#80263238",
      "candy": "#80263238",
      "candyfocus": "#263238",
      "swipe": "#1DFFFFFF",
      "swipe_caps": "#1DFFFFFF"
    },
    "background": {
      "gradient": [
        "#eceff1"
      ]
    }
  },
  "Material Teal": {
    "name": "Material Teal",
    "icon": {
      "icon_class": "icon_circle",
      "color": "#eceff1"
    },
		"style": "material",
		"color": "green",
    "colors": {
      "homerow": "#ff80cbc4",
      "outer_btn": "#00F5F5F5",
      "inner_btn": "#00F5F5F5",
      "press_btn": "#FFeceff1",
      "shade_btn": "#00000000",
      "letters": "#263238",
      "tile": "#FFeceff1",
      "dimmed": "#80263238",
      "candy": "#80263238",
      "candyfocus": "#263238",
      "swipe": "#1DFFFFFF",
      "swipe_caps": "#1DFFFFFF"
    },
    "background": {
      "gradient": [
        "#4db6ac"
      ]
    }
  },
  "Spring": {
    "name": "Spring",
		"color": "brown",
		"style": "gradient",
    "colors": {
      "homerow": "#4dffffff",
      "outer_btn": "#33ffffff",
      "inner_btn": "#33ffffff",
      "press_btn": "#4d000000",
      "shade_btn": "#4d000000",
      "letters": "#404040",
      "tile": "#80f5f5f5",
      "dimmed": "#80404040",
      "candy": "#80404040",
      "candyfocus": "#404040",
      "swipe": "#1ddddddd",
      "swipe_caps": "#1ddddddd"
    },
    "background": {
      "gradient": [
        "#449584",
        "#d1c782",
        "#e77d55",
        "#c13a24"
      ]
    }
  },
  "Emerald": {
    "name": "Emerald",
		"color": "green",
		"style": "gradient",
    "colors": {
      "homerow": "#9920b0c0",
      "outer_btn": "#4D20b0c0",
      "inner_btn": "#4D20b0c0",
      "press_btn": "#73000000",
      "shade_btn": "#73000000",
      "letters": "#E1E1E1",
      "tile": "#A612636d",
      "dimmed": "#80E1E1E1",
      "candy": "#80E1E1E1",
      "candyfocus": "#E1E1E1",
      "swipe": "#1DFFFFFF",
      "swipe_caps": "#1DFFFFFF"
    },
    "background": {
      "gradient": [
        "#12636d",
        "#0c3334"
      ]
    }
  },
  "Blue Journey": {
    "name": "Blue Journey",
		"color": "blue",
		"style": "gradient",
    "colors": {
      "homerow": "#992ea6ff",
      "outer_btn": "#4D2ea6ff",
      "inner_btn": "#4D2ea6ff",
      "press_btn": "#73000000",
      "shade_btn": "#73000000",
      "letters": "#E1E1E1",
      "tile": "#A63c7893",
      "dimmed": "#80E1E1E1",
      "candy": "#80E1E1E1",
      "candyfocus": "#E1E1E1",
      "swipe": "#1DFFFFFF",
      "swipe_caps": "#1DFFFFFF"
    },
    "background": {
      "gradient": [
        "#3c7893",
        "#253995"
      ]
    }
  },
  "Candyland": {
    "name": "Candyland",
		"color": "red",
		"style": "gradient",
    "colors": {
      "homerow": "#99ff5244",
      "outer_btn": "#4Dff5244",
      "inner_btn": "#4Dff5244",
      "press_btn": "#73000000",
      "shade_btn": "#73000000",
      "letters": "#E1E1E1",
      "tile": "#A6812f1c",
      "dimmed": "#80E1E1E1",
      "candy": "#80E1E1E1",
      "candyfocus": "#E1E1E1",
      "swipe": "#1DFFFFFF",
      "swipe_caps": "#1DFFFFFF"
    },
    "background": {
      "gradient": [
        "#812f1c",
        "#801636"
      ]
    }
  },
  "Darkside": {
    "name": "Darkside",
    "icon": {
      "icon_class": "icon_corner",
      "color": "#353535"
    },
		"color": "black",
		"style": "classic",
    "colors": {
      "crack": "#000000",
      "crack_caps": "#34A0C2",
      "homerow": "#353535",
      "border_btn": "#000000",
      "outer_btn": "#191919",
      "inner_btn": "#242424",
      "press_btn": "#34A0C2",
      "letters": "#E1E1E1",
      "tile": "#C84B4B4B",
      "dimmed": "#242424",
      "candy": "#656565",
      "candyfocus": "#34A0C2",
      "swipe": "#34A0C2",
      "swipe_caps": "#E1E1E1"
    },
    "background": {
      "gradient": [
        "#191919"
      ]
    }
  },
  "Jet Black": {
    "name": "New Black",
		"color": "black",
		"style": "gradient",
    "colors": {
      "homerow": "#55FFFFFF",
      "outer_btn": "#55A3A3A3",
      "inner_btn": "#55A3A3A3",
      "press_btn": "#73000000",
      "shade_btn": "#73000000",
      "letters": "#E1E1E1",
      "tile": "#A6A3A3A3",
      "dimmed": "#80E1E1E1",
      "candy": "#80E1E1E1",
      "candyfocus": "#E1E1E1",
      "swipe": "#1DFFFFFF",
      "swipe_caps": "#1DFFFFFF"
    },
    "background": {
      "gradient": [
        "#323232",
        "#191919"
      ]
    }
  },
  "Blueberry": {
    "name": "Blueberry",
    "icon": {
      "icon_class": "icon_corner",
      "color": "#22799C"
    },
		"color": "blue",
		"style": "classic",
    "colors": {
      "crack": "#22799C",
      "crack_caps": "#E1E1E1",
      "homerow": "#22799C",
      "border_btn": "#E1E1E1",
      "outer_btn": "#135670",
      "inner_btn": "#1F5F77",
      "press_btn": "#C5C5C5",
      "letters": "#E1E1E1",
      "tile": "#22799C",
      "dimmed": "#1F5F77",
      "candy": "#368DB0",
      "candyfocus": "#E1E1E1",
      "swipe": "#E1E1E1",
      "swipe_caps": "#22799C"
    },
    "background": {
      "gradient": [
        "#135670"
      ]
    }
  },
  "Chameleon": {
    "name": "Chameleon",
    "extra": "Chameleon",
    "description": "Changes color to match each app!",
		"color": "rainbow",
		"style": "animated",
    "colors": {
      "homerow": "#00000000",
      "outer_btn": "#00000000",
      "inner_btn": "#00000000",
      "press_btn": "#00000000",
      "shade_btn": "#00000000",
      "letters": "#00000000",
      "tile": "#00000000",
      "dimmed": "#00000000",
      "candy": "#00000000",
      "candyfocus": "#00000000",
      "swipe": "#00000000",
      "swipe_caps": "#00000000"
    }
  },
  "Classical": {
    "name": "Classical",
    "extra": "Rainbow",
    "icon": {
      "icon_class": "icon_ext_rainbow",
      "color": "#B3FFFFFF"
    },
		"color": "black",
		"style": "secret",
    "colors": {
      "crack": "#000000",
      "crack_caps": "#E1E1E1",
      "homerow": "#353535",
      "border_btn": "#000000",
      "outer_btn": "#191919",
      "inner_btn": "#242424",
      "press_btn": "#E1E1E1",
      "letters": "#E1E1E1",
      "tile": "#C84B4B4B",
      "dimmed": "#242424",
      "candy": "#656565",
      "candyfocus": "#E1E1E1",
      "swipe": "#E1E1E1",
      "swipe_caps": "#000000"
    },
    "background": {
      "gradient": [
        "#191919"
      ]
    }
  },
  "Gold Member": {
    "name": "Gold Member",
    "extra": "Twinkles",
		"color": "gold",
		"style": "classic",
    "colors": {
      "crack": "#957f4f",
      "crack_caps": "#816118",
      "homerow": "#c7a04a",
      "border_btn": "#957f4f",
      "outer_btn": "#e3cb95",
      "inner_btn": "#e3c278",
      "press_btn": "#957f4f",
      "letters": "#816118",
      "tile": "#c7a04a",
      "dimmed": "#e3c278",
      "candy": "#656565",
      "candyfocus": "#816118",
      "swipe": "#e3c278",
      "swipe_caps": "#e3c278"
    },
    "background": {
      "gradient": [
        "#e3cb95"
      ]
    }
  },
  "Forrest Green": {
    "name": "Forest Green",
    "icon": {
      "icon_class": "icon_corner",
      "color": "#229C79"
    },
		"color": "green",
		"style": "classic",
    "colors": {
      "crack": "#229C79",
      "crack_caps": "#E1E1E1",
      "homerow": "#229C79",
      "border_btn": "#E1E1E1",
      "outer_btn": "#137056",
      "inner_btn": "#1F775F",
      "press_btn": "#C5C5C5",
      "letters": "#E1E1E1",
      "tile": "#229C79",
      "dimmed": "#1F775F",
      "candy": "#36B08D",
      "candyfocus": "#E1E1E1",
      "swipe": "#E1E1E1",
      "swipe_caps": "#229C79"
    },
    "background": {
      "gradient": [
        "#137056"
      ]
    }
  },
  "Deep Blue": {
    "name": "Deep Blue",
		"color": "blue",
		"style": "gradient",
    "colors": {
      "homerow": "#55FFFFFF",
      "outer_btn": "#55A3A3A3",
      "inner_btn": "#55A3A3A3",
      "press_btn": "#73000000",
      "shade_btn": "#73000000",
      "letters": "#E1E1E1",
      "tile": "#A6A3A3A3",
      "dimmed": "#80E1E1E1",
      "candy": "#80E1E1E1",
      "candyfocus": "#E1E1E1",
      "swipe": "#1DFFFFFF",
      "swipe_caps": "#1DFFFFFF"
    },
    "background": {
      "gradient": [
        "#08404c",
        "#091e48"
      ]
    }
  },
  "Key Lime": {
    "name": "Key Lime",
		"color": "green",
		"style": "gradient",
    "colors": {
      "homerow": "#4dffffff",
      "outer_btn": "#33ffffff",
      "inner_btn": "#33ffffff",
      "press_btn": "#4d000000",
      "shade_btn": "#4d000000",
      "letters": "#404040",
      "tile": "#80f5f5f5",
      "dimmed": "#80404040",
      "candy": "#80404040",
      "candyfocus": "#404040",
      "swipe": "#1ddddddd",
      "swipe_caps": "#1ddddddd"
    },
    "background": {
      "gradient": [
        "#a4e786",
        "#5ad427"
      ]
    }
  },
  "Sun Kiss": {
    "name": "Sun Kiss",
    "promo": true,
		"color": "orange",
		"style": "gradient",
    "colors": {
      "homerow": "#4dffffff",
      "outer_btn": "#33ffffff",
      "inner_btn": "#33ffffff",
      "press_btn": "#4d000000",
      "shade_btn": "#4d000000",
      "letters": "#404040",
      "tile": "#80f5f5f5",
      "dimmed": "#80404040",
      "candy": "#80404040",
      "candyfocus": "#404040",
      "swipe": "#1ddddddd",
      "swipe_caps": "#1ddddddd"
    },
    "background": {
      "gradient": [
        "#ff9500",
        "#ff5e3a"
      ]
    }
  },
  "Hot Pink": {
    "name": "Hot Pink",
		"color": "pink",
		"style": "gradient",
    "colors": {
      "homerow": "#55FFFFFF",
      "outer_btn": "#55A3A3A3",
      "inner_btn": "#55A3A3A3",
      "press_btn": "#73000000",
      "shade_btn": "#73000000",
      "letters": "#E1E1E1",
      "tile": "#A6A3A3A3",
      "dimmed": "#80E1E1E1",
      "candy": "#80E1E1E1",
      "candyfocus": "#E1E1E1",
      "swipe": "#1DFFFFFF",
      "swipe_caps": "#1DFFFFFF"
    },
    "background": {
      "gradient": [
        "#c2185b"
      ]
    }
  },
  "Purple Haze": {
    "name": "Purple Haze",
		"color": "purple",
		"style": "gradient",
    "colors": {
      "homerow": "#55FFFFFF",
      "outer_btn": "#55A3A3A3",
      "inner_btn": "#55A3A3A3",
      "press_btn": "#73000000",
      "shade_btn": "#73000000",
      "letters": "#E1E1E1",
      "tile": "#A6A3A3A3",
      "dimmed": "#80E1E1E1",
      "candy": "#80E1E1E1",
      "candyfocus": "#E1E1E1",
      "swipe": "#1DFFFFFF",
      "swipe_caps": "#1DFFFFFF"
    },
    "background": {
      "gradient": [
        "#321240",
        "#171636"
      ]
    }
  },
  "Red Snapper": {
    "name": "Red Snapper",
    "icon": {
      "icon_class": "icon_corner",
      "color": "#c0392b"
    },
		"color": "red",
		"style": "classic",
    "colors": {
      "crack": "#c0392b",
      "crack_caps": "#781309",
      "homerow": "#c0392b",
      "border_btn": "#781309",
      "outer_btn": "#e74c3c",
      "inner_btn": "#ce4637",
      "press_btn": "#781309",
      "letters": "#E1E1E1",
      "tile": "#c0392b",
      "dimmed": "#ce4637",
      "candy": "#781309",
      "candyfocus": "#E1E1E1",
      "swipe": "#781309",
      "swipe_caps": "#c0392b"
    },
    "background": {
      "gradient": [
        "#e74c3c"
      ]
    }
  },
  "Blood Red": {
    "name": "Blood Red",
    "promo": true,
		"color": "red",
		"style": "gradient",
    "colors": {
      "homerow": "#55FFFFFF",
      "outer_btn": "#55A3A3A3",
      "inner_btn": "#55A3A3A3",
      "press_btn": "#73000000",
      "shade_btn": "#73000000",
      "letters": "#E1E1E1",
      "tile": "#A6A3A3A3",
      "dimmed": "#80E1E1E1",
      "candy": "#80E1E1E1",
      "candyfocus": "#E1E1E1",
      "swipe": "#1DFFFFFF",
      "swipe_caps": "#1DFFFFFF"
    },
    "background": {
      "gradient": [
        "#e51c23",
        "#b0120a"
      ]
    }
  },
  "Specialty": {
    "name": "Specialty",
    "extra": "Rainbow",
    "icon": {
      "icon_class": "icon_ext_rainbow",
      "color": "#80404040"
    },
		"color": "white",
		"style": "secret",
    "colors": {
      "crack": "#ffffff",
      "crack_caps": "#404040",
      "homerow": "#c5c5c5",
      "border_btn": "#ffffff",
      "outer_btn": "#e1e1e1",
      "inner_btn": "#d4d4d4",
      "press_btn": "#404040",
      "letters": "#404040",
      "tile": "#C84B4B4B",
      "dimmed": "#d4d4d4",
      "candy": "#a5a5a5",
      "candyfocus": "#404040",
      "swipe": "#404040",
      "swipe_caps": "#ffffff"
    },
    "background": {
      "gradient": [
        "#e1e1e1"
      ]
    }
  },
  "Teal Dream": {
    "name": "Teal Dream",
    "icon": {
      "icon_class": "icon_corner",
      "color": "#3e8c81"
    },
		"color": "green",
		"style": "classic",
    "colors": {
      "crack": "#3e8c81",
      "crack_caps": "#267469",
      "homerow": "#3e8c81",
      "border_btn": "#267469",
      "outer_btn": "#60a99f",
      "inner_btn": "#56a99d",
      "press_btn": "#267469",
      "letters": "#E1E1E1",
      "tile": "#3e8c81",
      "dimmed": "#56a99d",
      "candy": "#267469",
      "candyfocus": "#E1E1E1",
      "swipe": "#267469",
      "swipe_caps": "#3e8c81"
    },
    "background": {
      "gradient": [
        "#60a99f"
      ]
    }
  },
  "Liquid Sky": {
    "name": "Liquid Sky",
    "promo": true,
		"color": "blue",
		"style": "gradient",
    "colors": {
      "homerow": "#99ffffff",
      "outer_btn": "#73F5F5F5",
      "inner_btn": "#73F5F5F5",
      "press_btn": "#73666666",
      "shade_btn": "#73666666",
      "letters": "#404040",
      "tile": "#BFF5F5F5",
      "dimmed": "#80404040",
      "candy": "#80404040",
      "candyfocus": "#404040",
      "swipe": "#1d888888",
      "swipe_caps": "#1d888888"
    },
    "background": {
      "gradient": [
        "#80c8ba",
        "#a1c0e5"
      ]
    }
  },
  "True Black": {
    "name": "True Black",
    "promo": true,
		"color": "black",
		"style": "flat",
    "colors": {
      "homerow": "#25ffffff",
      "outer_btn": "#25888888",
      "inner_btn": "#25888888",
      "press_btn": "#00000000",
      "shade_btn": "#00000000",
      "letters": "#cdcdcd",
      "tile": "#A6A3A3A3",
      "dimmed": "#80e1e1e1",
      "candy": "#80e1e1e1",
      "candyfocus": "#cdcdcd",
      "swipe": "#1d888888",
      "swipe_caps": "#1d888888"
    },
    "background": {
      "gradient": [
        "#000000"
      ]
    }
  },
  "Lightside": {
    "name": "Lightside",
    "icon": {
      "icon_class": "icon_corner",
      "color": "#c5c5c5"
    },
		"color": "white",
		"style": "classic",
    "colors": {
      "crack": "#ffffff",
      "crack_caps": "#34a0c2",
      "homerow": "#c5c5c5",
      "border_btn": "#ffffff",
      "outer_btn": "#e1e1e1",
      "inner_btn": "#d4d4d4",
      "press_btn": "#34a0c2",
      "letters": "#404040",
      "tile": "#C88c8c8c",
      "dimmed": "#d4d4d4",
      "candy": "#a5a5a5",
      "candyfocus": "#34a0c2",
      "swipe": "#34a0c2",
      "swipe_caps": "#404040"
    },
    "background": {
      "gradient": [
        "#e1e1e1"
      ]
    }
  },
  "Fresh": {
    "name": "Fresh",
    "color": "white",
    "style": "gradient",
    "colors": {
      "homerow": "#fff8f8f8",
      "outer_btn": "#ffffffff",
      "inner_btn": "#ffffffff",
      "press_btn": "#fff8f8f8",
      "shade_btn": "#7ee8e8e8",
      "letters": "#ff322659",
      "tile": "#ffe8e8e8",
      "dimmed": "#ff322659",
      "candy": "#ff322659",
      "candyfocus": "#ff322659",
      "swipe": "#ff1d8888",
      "swipe_caps": "#ff1d8888"
    },
    "background": {
      "gradient": [
                   "#ffffff"
                   ]
    }
  },
  "New Light": {
    "name": "New Light",
		"color": "white",
		"style": "gradient",
    "colors": {
      "homerow": "#99ffffff",
      "outer_btn": "#73F5F5F5",
      "inner_btn": "#73F5F5F5",
      "press_btn": "#73666666",
      "shade_btn": "#73666666",
      "letters": "#404040",
      "tile": "#BFF5F5F5",
      "dimmed": "#80404040",
      "candy": "#80404040",
      "candyfocus": "#404040",
      "swipe": "#1d888888",
      "swipe_caps": "#1d888888"
    },
    "background": {
      "gradient": [
        "#d4d4d4"
      ]
    }
  },
  "Sunflower": {
    "name": "Sunflower",
		"style": "gradient",
		"color": "yellow",
    "colors": {
      "homerow": "#4dffffff",
      "outer_btn": "#33ffffff",
      "inner_btn": "#33ffffff",
      "press_btn": "#4d000000",
      "shade_btn": "#4d000000",
      "letters": "#404040",
      "tile": "#80f5f5f5",
      "dimmed": "#80404040",
      "candy": "#80404040",
      "candyfocus": "#404040",
      "swipe": "#1ddddddd",
      "swipe_caps": "#1ddddddd"
    },
    "background": {
      "gradient": [
        "#ffeb3b",
        "#fbc02d"
      ]
    }
  },
  "Peanuts1": {
    "name": "Snoopy Hug",
    "key": "Peanuts1",
    "colors": {
      "homerow": "#25ffffff",
      "outer_btn": "#00F5F5F5",
      "inner_btn": "#00F5F5F5",
      "press_btn": "#FFe87a7a",
      "shade_btn": "#FFe87a7a",
      "letters": "#faffc7",
      "tile": "#A6e87a7a",
      "dimmed": "#80faffc7",
      "candy": "#80faffc7",
      "candyfocus": "#faffc7",
      "swipe": "#1DFFFFFF",
      "swipe_caps": "#1DFFFFFF"
    },
    "background": {
      "gradient": [
        "#d7143f",
        "#d7143f",
        "#700019"
      ],
      "image": "Peanuts1.png",
      "image-alpha": 0.7,
      "position": "center"
    }
  },
  "Peanuts2": {
    "name": "Snoopy Night",
    "key": "Peanuts2",
    "colors": {
      "homerow": "#25ffffff",
      "outer_btn": "#00F5F5F5",
      "inner_btn": "#00F5F5F5",
      "press_btn": "#FFe87a7a",
      "shade_btn": "#FFe87a7a",
      "letters": "#faffc7",
      "tile": "#A6e87a7a",
      "dimmed": "#80faffc7",
      "candy": "#80faffc7",
      "candyfocus": "#faffc7",
      "swipe": "#1DFFFFFF",
      "swipe_caps": "#1DFFFFFF"
    },
    "background": {
      "gradient": [
        "#1989d7",
        "#0e5d93"
      ],
      "image": "Peanuts2.png",
      "image-alpha": 0.6,
      "position": "center"
    }
  },
  "HungerGames1": {
    "name": "Mockingjay",
    "key": "HungerGames1",
    "extra": "Twinkles",
		"color": "black",
		"style": "licensed",
    "colors": {
      "homerow": "#25ffffff",
      "outer_btn": "#00F5F5F5",
      "inner_btn": "#00F5F5F5",
      "press_btn": "#73000000",
      "shade_btn": "#73000000",
      "letters": "#faffc7",
      "tile": "#A680200e",
      "dimmed": "#80faffc7",
      "candy": "#80faffc7",
      "candyfocus": "#faffc7",
      "swipe": "#1DFFFFFF",
      "swipe_caps": "#1DFFFFFF",
      "outline": "#CC000000"
    },
    "background": {
      "gradient": [
        "#000000"
      ],
      "image": "HungerGames1.png",
      "image-alpha": 0.8,
      "position": "scale"
    }
  },
  "HungerGames2": {
    "name": "Girl on Fire",
    "key": "HungerGames2",
    "extra": "Twinkles",
    "colors": {
      "homerow": "#25ffffff",
      "outer_btn": "#00F5F5F5",
      "inner_btn": "#00F5F5F5",
      "press_btn": "#73000000",
      "shade_btn": "#73000000",
      "letters": "#faffc7",
      "tile": "#A6c66c1e",
      "dimmed": "#80faffc7",
      "candy": "#80faffc7",
      "candyfocus": "#faffc7",
      "swipe": "#1DFFFFFF",
      "swipe_caps": "#1DFFFFFF",
      "outline": "#CC000000"
    },
    "background": {
      "gradient": [
        "#000000"
      ],
      "image": "HungerGames2.png",
      "image-alpha": 0.8,
      "position": "scale"
    }
  },
  "Frozen1": {
    "name": "Elsa",
    "key": "Frozen1",
		"color": "blue",
		"style": "licensed",
    "colors": {
      "homerow": "#55FFFFFF",
      "outer_btn": "#55A3A3A3",
      "inner_btn": "#55A3A3A3",
      "press_btn": "#73000000",
      "shade_btn": "#73000000",
      "letters": "#FFFFFF",
      "tile": "#A6A3A3A3",
      "dimmed": "#80FFFFFF",
      "candy": "#80FFFFFF",
      "candyfocus": "#FFFFFF",
      "swipe": "#1DFFFFFF",
      "swipe_caps": "#1DFFFFFF",
      "outline": "#81ccdc"
    },
    "background": {
      "gradient": [
        "#81ccdc",
        "#3d6383"
      ],
      "image": "Frozen3.png",
      "image-alpha": 1,
      "position": "scale"
    }
  },
  "Frozen2": {
    "name": "Let it go",
    "key": "Frozen2",
		"color": "blue",
		"style": "licensed",
    "colors": {
      "homerow": "#55FFFFFF",
      "outer_btn": "#55A3A3A3",
      "inner_btn": "#55A3A3A3",
      "press_btn": "#73000000",
      "shade_btn": "#73000000",
      "letters": "#FFFFFF",
      "tile": "#A6A3A3A3",
      "dimmed": "#80FFFFFF",
      "candy": "#80FFFFFF",
      "candyfocus": "#FFFFFF",
      "swipe": "#1DFFFFFF",
      "swipe_caps": "#1DFFFFFF",
      "outline": "#81ccdc"
    },
    "background": {
      "gradient": [
        "#81ccdc",
        "#3d6383"
      ],
      "image": "Frozen2.png",
      "image-alpha": 1,
      "position": "scale"
    }
  }
};

var themesIOS = {
	"Jet Black": {
		"name": "New Black",
		"colors": {
			"homerow": "#55FFFFFF",
			"outer_btn": "#55A3A3A3",
			"inner_btn": "#55A3A3A3",
			"press_btn": "#73000000",
			"shade_btn": "#73000000",
			"letters": "#E1E1E1",
			"tile": "#A6A3A3A3",
			"dimmed": "#80E1E1E1",
			"candy": "#80E1E1E1",
			"candyfocus": "#E1E1E1",
			"swipe": "#1DFFFFFF",
			"swipe_caps": "#1DFFFFFF"
		},
		"background": {
			"gradient": [
				"#323232",
				"#191919"
			]
		}
	},
	"Vibrant Depth": {
		"name": "Vibrant Depth",
		"special": [
			"dynamicWithApp",
			"vibrant"
		],
		"colors": {
			"homerow": "#77FFFFFF",
			"outer_btn": "#11A3A3A3",
			"inner_btn": "#11A3A3A3",
			"press_btn": "#99FFFFFF",
			"shade_btn": "#99FFFFFF",
			"letters": "#404040",
			"tile": "#A6A3A3A3",
			"dimmed": "#80404040",
			"candy": "#80404040",
			"candyfocus": "#404040",
			"swipe": "#1D888888",
			"swipe_caps": "#1D888888"
		},
		"background": {
			"gradient": [
				"#00AAAAAA",
				"#00AAAAAA"
			]
		},
		"dynamic": {
			"colors": {
				"homerow": "#77FFFFFF",
				"outer_btn": "#55A3A3A3",
				"inner_btn": "#55A3A3A3",
				"press_btn": "#73000000",
				"shade_btn": "#73000000",
				"letters": "#E1E1E1",
				"tile": "#A6A3A3A3",
				"dimmed": "#80E1E1E1",
				"candy": "#80E1E1E1",
				"candyfocus": "#E1E1E1",
				"swipe": "#1DFFFFFF",
				"swipe_caps": "#1DFFFFFF"
			},
			"background": {
				"gradient": [
					"#00000000",
					"#00000000"
				]
			}
		}
	},
	"Deep Blue": {
		"name": "Deep Blue",
		"colors": {
			"homerow": "#55FFFFFF",
			"outer_btn": "#55A3A3A3",
			"inner_btn": "#55A3A3A3",
			"press_btn": "#73000000",
			"shade_btn": "#73000000",
			"letters": "#E1E1E1",
			"tile": "#A6A3A3A3",
			"dimmed": "#80E1E1E1",
			"candy": "#80E1E1E1",
			"candyfocus": "#E1E1E1",
			"swipe": "#1DFFFFFF",
			"swipe_caps": "#1DFFFFFF"
		},
		"background": {
			"gradient": [
				"#08404c",
				"#091e48"
			]
		}
	},
	"Key Lime": {
		"name": "Key Lime",
		"colors": {
			"homerow": "#4dffffff",
			"outer_btn": "#33ffffff",
			"inner_btn": "#33ffffff",
			"press_btn": "#4d000000",
			"shade_btn": "#4d000000",
			"letters": "#404040",
			"tile": "#80f5f5f5",
			"dimmed": "#80404040",
			"candy": "#80404040",
			"candyfocus": "#404040",
			"swipe": "#1ddddddd",
			"swipe_caps": "#1ddddddd"
		},
		"background": {
			"gradient": [
				"#a4e786",
				"#5ad427"
			]
		}
	},
	"Hot Pink": {
		"name": "Hot Pink",
		"colors": {
			"homerow": "#55FFFFFF",
			"outer_btn": "#55A3A3A3",
			"inner_btn": "#55A3A3A3",
			"press_btn": "#73000000",
			"shade_btn": "#73000000",
			"letters": "#E1E1E1",
			"tile": "#A6A3A3A3",
			"dimmed": "#80E1E1E1",
			"candy": "#80E1E1E1",
			"candyfocus": "#E1E1E1",
			"swipe": "#1DFFFFFF",
			"swipe_caps": "#1DFFFFFF"
		},
		"background": {
			"gradient": [
				"#c2185b"
			]
		}
	},
  "Fresh": {
    "name": "Fresh",
    "color": "white",
    "style": "gradient",
    "colors": {
      "homerow": "#fff8f8f8",
      "outer_btn": "#ffffffff",
      "inner_btn": "#ffffffff",
      "press_btn": "#fff8f8f8",
      "shade_btn": "#7ee8e8e8",
      "letters": "#ff322659",
      "tile": "#ffe8e8e8",
      "dimmed": "#ff322659",
      "candy": "#ff322659",
      "candyfocus": "#ff322659",
      "swipe": "#ff1d8888",
      "swipe_caps": "#ff1d8888"
    },
    "background": {
      "gradient": [
                   "#ffffff"
                   ]
    }
  },
	"New Light": {
		"name": "New Light",
		"colors": {
			"homerow": "#99ffffff",
			"outer_btn": "#73F5F5F5",
			"inner_btn": "#73F5F5F5",
			"press_btn": "#73666666",
			"shade_btn": "#73666666",
			"letters": "#404040",
			"tile": "#BFF5F5F5",
			"dimmed": "#80404040",
			"candy": "#80404040",
			"candyfocus": "#404040",
			"swipe": "#1d888888",
			"swipe_caps": "#1d888888"
		},
		"background": {
			"gradient": [
				"#d4d4d4"
			]
		}
	},
	"5s Gold": {
		"name": "5s Gold",
		"colors": {
			"homerow": "#99ffffff",
			"outer_btn": "#73F5F5F5",
			"inner_btn": "#73F5F5F5",
			"press_btn": "#73666666",
			"shade_btn": "#73666666",
			"letters": "#404040",
			"tile": "#BFF5F5F5",
			"dimmed": "#80404040",
			"candy": "#80404040",
			"candyfocus": "#404040",
			"swipe": "#1d888888",
			"swipe_caps": "#1d888888"
		},
		"background": {
			"gradient": [
				"#d4c5b3"
			]
		}
	},
	"5c Blue": {
		"name": "5c Gold",
		"colors": {
			"homerow": "#99ffffff",
			"outer_btn": "#73F5F5F5",
			"inner_btn": "#73F5F5F5",
			"press_btn": "#73666666",
			"shade_btn": "#73666666",
			"letters": "#404040",
			"tile": "#BFF5F5F5",
			"dimmed": "#80404040",
			"candy": "#80404040",
			"candyfocus": "#404040",
			"swipe": "#1d888888",
			"swipe_caps": "#1d888888"
		},
		"background": {
			"gradient": [
				"#46abe0"
			]
		}
	},
	"Sunflower": {
		"name": "Sunflower",
		"colors": {
			"homerow": "#4dffffff",
			"outer_btn": "#33ffffff",
			"inner_btn": "#33ffffff",
			"press_btn": "#4d000000",
			"shade_btn": "#4d000000",
			"letters": "#404040",
			"tile": "#80f5f5f5",
			"dimmed": "#80404040",
			"candy": "#80404040",
			"candyfocus": "#404040",
			"swipe": "#1ddddddd",
			"swipe_caps": "#1ddddddd"
		},
		"background": {
			"gradient": [
				"#ffeb3b",
				"#fbc02d"
			]
		}
	},
	"Purple Haze": {
		"name": "Purple Haze",
		"colors": {
			"homerow": "#55FFFFFF",
			"outer_btn": "#55A3A3A3",
			"inner_btn": "#55A3A3A3",
			"press_btn": "#73000000",
			"shade_btn": "#73000000",
			"letters": "#E1E1E1",
			"tile": "#A6A3A3A3",
			"dimmed": "#80E1E1E1",
			"candy": "#80E1E1E1",
			"candyfocus": "#E1E1E1",
			"swipe": "#1DFFFFFF",
			"swipe_caps": "#1DFFFFFF"
		},
		"background": {
			"gradient": [
				"#321240",
				"#171636"
			]
		}
	},
	"Liquid Sky": {
		"name": "Liquid Sky",
		"colors": {
			"homerow": "#99ffffff",
			"outer_btn": "#73F5F5F5",
			"inner_btn": "#73F5F5F5",
			"press_btn": "#73666666",
			"shade_btn": "#73666666",
			"letters": "#404040",
			"tile": "#BFF5F5F5",
			"dimmed": "#80404040",
			"candy": "#80404040",
			"candyfocus": "#404040",
			"swipe": "#1d888888",
			"swipe_caps": "#1d888888"
		},
		"background": {
			"gradient": [
				"#80c8ba",
				"#a1c0e5"
			]
		}
	},
	"Sun Kiss": {
		"name": "Sun Kiss",
		"colors": {
			"homerow": "#4dffffff",
			"outer_btn": "#33ffffff",
			"inner_btn": "#33ffffff",
			"press_btn": "#4d000000",
			"shade_btn": "#4d000000",
			"letters": "#404040",
			"tile": "#80f5f5f5",
			"dimmed": "#80404040",
			"candy": "#80404040",
			"candyfocus": "#404040",
			"swipe": "#1ddddddd",
			"swipe_caps": "#1ddddddd"
		},
		"background": {
			"gradient": [
				"#ff9500",
				"#ff5e3a"
			]
		}
	},
	"Blood Red": {
		"name": "Blood Red",
		"colors": {
			"homerow": "#55FFFFFF",
			"outer_btn": "#55A3A3A3",
			"inner_btn": "#55A3A3A3",
			"press_btn": "#73000000",
			"shade_btn": "#73000000",
			"letters": "#E1E1E1",
			"tile": "#A6A3A3A3",
			"dimmed": "#80E1E1E1",
			"candy": "#80E1E1E1",
			"candyfocus": "#E1E1E1",
			"swipe": "#1DFFFFFF",
			"swipe_caps": "#1DFFFFFF"
		},
		"background": {
			"gradient": [
				"#e51c23",
				"#b0120a"
			]
		}
	},
	"Vibrant Blue Depth Journey": {
		"name": "Blue Depth",
		"special": [
			"dynamicWithApp",
			"vibrant"
		],
		"colors": {
			"homerow": "#77FFFFFF",
			"outer_btn": "#11A3A3A3",
			"inner_btn": "#11A3A3A3",
			"press_btn": "#99FFFFFF",
			"shade_btn": "#99FFFFFF",
			"letters": "#404040",
			"tile": "#80F5F5F5",
			"dimmed": "#80404040",
			"candy": "#80404040",
			"candyfocus": "#404040",
			"swipe": "#1D888888",
			"swipe_caps": "#1D888888"
		},
		"background": {
			"gradient": [
				"#731ad6fd",
				"#731d62f0"
			]
		},
		"dynamic": {
			"colors": {
				"homerow": "#77FFFFFF",
				"outer_btn": "#55A3A3A3",
				"inner_btn": "#55A3A3A3",
				"press_btn": "#73000000",
				"shade_btn": "#73000000",
				"letters": "#E1E1E1",
				"tile": "#9920b0c0",
				"dimmed": "#80E1E1E1",
				"candy": "#80E1E1E1",
				"candyfocus": "#E1E1E1",
				"swipe": "#1DFFFFFF",
				"swipe_caps": "#1DFFFFFF"
			},
			"background": {
				"gradient": [
					"#731ad6fd",
					"#731d62f0"
				]
			}
		}
	},
	"Vibrant Emerald": {
		"name": "Vibrant Emerald",
		"special": [
			"vibrant"
		],
		"colors": {
			"homerow": "#77FFFFFF",
			"outer_btn": "#55A3A3A3",
			"inner_btn": "#55A3A3A3",
			"press_btn": "#73000000",
			"shade_btn": "#73000000",
			"letters": "#E1E1E1",
			"tile": "#9920b0c0",
			"dimmed": "#80E1E1E1",
			"candy": "#80E1E1E1",
			"candyfocus": "#E1E1E1",
			"swipe": "#1DFFFFFF",
			"swipe_caps": "#1DFFFFFF"
		},
		"background": {
			"gradient": [
				"#FF12636d",
				"#FF0c3334"
			]
		}
	},
	"Vibrant Candyland": {
		"name": "Vibrant Candyland",
		"special": [
			"vibrant"
		],
		"colors": {
			"homerow": "#77FFFFFF",
			"outer_btn": "#55A3A3A3",
			"inner_btn": "#55A3A3A3",
			"press_btn": "#73000000",
			"shade_btn": "#73000000",
			"letters": "#E1E1E1",
			"tile": "#A6812f1c",
			"dimmed": "#80E1E1E1",
			"candy": "#80E1E1E1",
			"candyfocus": "#E1E1E1",
			"swipe": "#1DFFFFFF",
			"swipe_caps": "#1DFFFFFF"
		},
		"background": {
			"gradient": [
				"#FF812f1c",
				"#FF801636"
			]
		}
	},
	"Vibrant Menthol": {
		"name": "Vibrant Menthol",
		"special": [
			"vibrant"
		],
		"colors": {
			"homerow": "#77FFFFFF",
			"outer_btn": "#11A3A3A3",
			"inner_btn": "#11A3A3A3",
			"press_btn": "#99FFFFFF",
			"shade_btn": "#99FFFFFF",
			"letters": "#404040",
			"tile": "#80F5F5F5",
			"dimmed": "#80404040",
			"candy": "#80404040",
			"candyfocus": "#404040",
			"swipe": "#1D888888",
			"swipe_caps": "#1D888888"
		},
		"background": {
			"gradient": [
				"#FFb2dfdb",
				"#FF80cbc4"
			]
		}
	},
	"Vibrant Popsicle": {
		"name": "Vibrant Popsicle",
		"special": [
			"vibrant"
		],
		"colors": {
			"homerow": "#77FFFFFF",
			"outer_btn": "#11A3A3A3",
			"inner_btn": "#11A3A3A3",
			"press_btn": "#99FFFFFF",
			"shade_btn": "#99FFFFFF",
			"letters": "#404040",
			"tile": "#80F5F5F5",
			"dimmed": "#80404040",
			"candy": "#80404040",
			"candyfocus": "#404040",
			"swipe": "#1D888888",
			"swipe_caps": "#1D888888"
		},
		"background": {
			"gradient": [
				"#FFffab91",
				"#FFff5722"
			]
		}
	},
	"Spring": {
		"name": "Spring",
		"colors": {
			"homerow": "#4dffffff",
			"outer_btn": "#33ffffff",
			"inner_btn": "#33ffffff",
			"press_btn": "#4d000000",
			"shade_btn": "#4d000000",
			"letters": "#404040",
			"tile": "#80f5f5f5",
			"dimmed": "#80404040",
			"candy": "#80404040",
			"candyfocus": "#404040",
			"swipe": "#1ddddddd",
			"swipe_caps": "#1ddddddd"
		},
		"background": {
			"gradient": [
				"449584#",
				"#d1c782",
				"#e77d55",
				"#c13a24"
			]
		}
	},
	"Frozen1": {
		"name": "Elsa",
		"key": "Frozen1",
		"colors": {
			"homerow": "#55FFFFFF",
			"outer_btn": "#55A3A3A3",
			"inner_btn": "#55A3A3A3",
			"press_btn": "#73000000",
			"shade_btn": "#73000000",
			"letters": "#E1E1E1",
			"tile": "#A6A3A3A3",
			"dimmed": "#80E1E1E1",
			"candy": "#80E1E1E1",
			"candyfocus": "#E1E1E1",
			"swipe": "#1DFFFFFF",
			"swipe_caps": "#1DFFFFFF"
		},
		"background": {
			"gradient": [
				"#81ccdc",
				"#3d6383"
			],
			"image": "Frozen1.png",
			"image-alpha": 1,
			"position": "scale"
		}
	},
	"HungerGames1": {
		"name": "Mockingjay",
		"key": "HungerGames1",
		"extra": "Twinkles",
		"colors": {
			"homerow": "#25ffffff",
			"outer_btn": "#00F5F5F5",
			"inner_btn": "#00F5F5F5",
			"press_btn": "#73000000",
			"shade_btn": "#73000000",
			"letters": "#faffc7",
			"tile": "#A680200e",
			"dimmed": "#80faffc7",
			"candy": "#80faffc7",
			"candyfocus": "#faffc7",
			"swipe": "#1DFFFFFF",
			"swipe_caps": "#1DFFFFFF"
		},
		"background": {
			"gradient": [
				"#000000"
			],
			"image": "HungerGames1.png",
			"image-alpha": 0.8,
			"position": "fit"
		}
	},
	"Peanuts1": {
		"name": "Snoopy Hug",
		"key": "Peanuts1",
		"colors": {
			"homerow": "#25ffffff",
			"outer_btn": "#00F5F5F5",
			"inner_btn": "#00F5F5F5",
			"press_btn": "#FFe87a7a",
			"shade_btn": "#FFe87a7a",
			"letters": "#faffc7",
			"tile": "#A6e87a7a",
			"dimmed": "#80faffc7",
			"candy": "#80faffc7",
			"candyfocus": "#faffc7",
			"swipe": "#1DFFFFFF",
			"swipe_caps": "#1DFFFFFF"
		},
		"background": {
			"gradient": [
				"#d7143f",
				"#d7143f",
				"#700019"
			],
			"image": "Peanuts1.png",
			"image-alpha": 0.7,
			"position": "center"
		}
	},
	"Peanuts2": {
		"name": "Snoopy Night",
		"key": "Peanuts2",
		"colors": {
			"homerow": "#25ffffff",
			"outer_btn": "#00F5F5F5",
			"inner_btn": "#00F5F5F5",
			"press_btn": "#FFe87a7a",
			"shade_btn": "#FFe87a7a",
			"letters": "#faffc7",
			"tile": "#A6e87a7a",
			"dimmed": "#80faffc7",
			"candy": "#80faffc7",
			"candyfocus": "#faffc7",
			"swipe": "#1DFFFFFF",
			"swipe_caps": "#1DFFFFFF"
		},
		"background": {
			"gradient": [
				"#1989d7",
				"#0e5d93"
			],
			"image": "Peanuts2.png",
			"image-alpha": 0.6,
			"position": "center"
		}
	},
	"Material Dark": {
		"name": "Material Dark",
		"key": "Material Dark",
		"colors": {
			"homerow": "#ff37474f",
			"outer_btn": "#00F5F5F5",
			"inner_btn": "#00F5F5F5",
			"press_btn": "#FF4db6ac",
			"shade_btn": "#00000000",
			"letters": "#eceff1",
			"tile": "#FF4db6ac",
			"dimmed": "#80faffc7",
			"candy": "#80eceff1",
			"candyfocus": "#eceff1",
			"swipe": "#1DFFFFFF",
			"swipe_caps": "#1DFFFFFF"
		},
		"background": {
			"gradient": [
				"#263238"
			]
		}
	},
	"Material Light": {
		"name": "Material Light",
		"key": "Material Light",
		"colors": {
			"homerow": "#ffcfd8dc",
			"outer_btn": "#00F5F5F5",
			"inner_btn": "#00F5F5F5",
			"press_btn": "#FF4db6ac",
			"shade_btn": "#00000000",
			"letters": "#263238",
			"tile": "#A64db6ac",
			"dimmed": "#80263238",
			"candy": "#80263238",
			"candyfocus": "#263238",
			"swipe": "#1DFFFFFF",
			"swipe_caps": "#1DFFFFFF"
		},
		"background": {
			"gradient": [
				"#eceff1"
			]
		}
	},
	"Material Teal": {
		"name": "Material Teal",
		"key": "Material Teal",
		"colors": {
			"homerow": "#ff80cbc4",
			"outer_btn": "#00F5F5F5",
			"inner_btn": "#00F5F5F5",
			"press_btn": "#FFeceff1",
			"shade_btn": "#00000000",
			"letters": "#263238",
			"tile": "#FFeceff1",
			"dimmed": "#80263238",
			"candy": "#80263238",
			"candyfocus": "#263238",
			"swipe": "#1DFFFFFF",
			"swipe_caps": "#1DFFFFFF"
		},
		"background": {
			"gradient": [
				"#4db6ac"
			]
		}
	},
	"True Black": {
		"name": "True Black",
		"key": "True Black",
		"colors": {
			"homerow": "#25ffffff",
			"outer_btn": "#25888888",
			"inner_btn": "#25888888",
			"press_btn": "#00000000",
			"shade_btn": "#00000000",
			"letters": "#cdcdcd",
			"tile": "#A6A3A3A3",
			"dimmed": "#80e1e1e1",
			"candy": "#80e1e1e1",
			"candyfocus": "#cdcdcd",
			"swipe": "#1d888888",
			"swipe_caps": "#1d888888"
		},
		"background": {
			"gradient": [
				"#000000"
			]
		}
	}
};

var inventory = {
  "inventory": [
    {
      "key": "bundle0018",
      "name": "Executive Producer +3 Slots",
      "kind_of_box": "theme bundle",
      "price": "free",
      "unlocks_keys": [
        "bundle0017",
        "bundle0016",
        "bundle0015",
        "slot0021",
        "slot0022",
        "slot0023"
      ],
      "design": {
        "background": "#FFddf2f3",
        "bundle_name_color": "#404040",
        "byline": {
          "text": "unlock greatness.",
          "text_color": "#404040"
        },
        "image": "executive-producer.png",
        "discount": {
          "text": "<s> $8 </s> FREE",
          "text_color": "#FFFFFF",
          "background": "#e74c3c"
        }
      }
    },
    {
      "key": "bundle0017",
      "name": "Shards",
      "kind_of_box": "theme bundle",
      "unlocks_keys": [
        "Prism",
        "Cracked"
      ],
      "design": {
        "background": "#FFfab69a",
        "bundle_name_color": "#404040",
        "byline": {
          "text": "unlock Shards pack",
          "text_color": "#404040"
        }
      }
    },
    {
      "key": "bundle0016",
      "name": "Arcade",
      "kind_of_box": "theme bundle",
      "unlocks_keys": [
        "Outrun",
        "Grid",
        "Material Dream"
      ],
      "design": {
        "background": "#FFaf376d",
        "bundle_name_color": "#404040",
        "byline": {
          "text": "unlock Arcade pack",
          "text_color": "#404040"
        }
      }
    },
    {
      "key": "bundle0015",
      "name": "Pastel",
      "kind_of_box": "theme bundle",
      "unlocks_keys": [
        "Material Purple",
        "Earth Brown",
        "Pastel Pink",
        "Yellow Flower",
        "Paper Blue"
      ],
      "design": {
        "background": "#FFe7d7ce",
        "bundle_name_color": "#404040",
        "byline": {
          "text": "unlock Pastel pack",
          "text_color": "#404040"
        }
      }
    },
    {
      "key": "bundle0014",
      "name": "Timelapse",
      "kind_of_box": "theme bundle",
      "unlocks_keys": [
        "Colorwheel",
        "Pinwheel"
      ],
      "design": {
        "background": "#80CFD8DC",
        "bundle_name_color": "#404040",
        "byline": {
          "text": "unlock themes",
          "text_color": "#404040"
        },
        "image": "timelapse.png"
      }
    },
    {
      "key": "bundle0013",
      "name": "Luck of the Irish",
      "kind_of_box": "theme bundle",
      "unlocks_keys": [
        "Shamrock",
        "Rainbow Mist"
      ],
      "design": {
        "background": "#4D0e7b00",
        "bundle_name_color": "#404040",
        "byline": {
          "text": "unlock themes",
          "text_color": "#404040"
        }
      }
    },
    {
      "key": "bundle0004",
      "name": "Chameleon",
      "kind_of_box": "theme bundle",
      "unlocks_keys": [
        "Chameleon"
      ],
      "design": {
        "background": "#CC78909c",
        "bundle_name_color": "#404040",
        "byline": {
          "text": "Changes color to match app!",
          "text_color": "#404040"
        }
      }
    },
    {
      "key": "bundle0009",
      "name": "Material",
      "kind_of_box": "theme bundle",
      "unlocks_keys": [
        "Material Dark",
        "Material Light",
        "Material Teal",
        "Material Dream",
        "Material Purple"
      ],
      "design": {
        "background": "#804DB6AC",
        "bundle_name_color": "#404040",
        "byline": {
          "text": "Unlock themes",
          "text_color": "#404040"
        }
      }
    },
    {
      "key": "bundle0008",
      "name": "Vibrant",
      "kind_of_box": "theme bundle",
      "unlocks_keys": [
        "Blue Journey",
        "Emerald",
        "Candyland",
        "Spring"
      ],
      "design": {
        "background": "#80BBDEFB",
        "bundle_name_color": "#404040",
        "byline": {
          "text": "Unlock themes",
          "text_color": "#404040"
        }
      }
    },
    {
      "key": "bundle0000",
      "name": "Modern",
      "kind_of_box": "theme bundle",
      "unlocks_keys": [
        "Purple Haze",
        "Liquid Sky",
        "Sun Kiss",
        "Blood Red"
      ],
      "design": {
        "background": "#809575CD",
        "bundle_name_color": "#404040",
        "byline": {
          "text": "Unlock themes",
          "text_color": "#404040"
        }
      }
    },
    {
      "key": "bundle0011",
      "name": "True B&W",
      "kind_of_box": "theme bundle",
      "unlocks_keys": [
        "True Black",
        "Meizu White"
      ],
      "design": {
        "background": "#80CFD8DC",
        "bundle_name_color": "#404040",
        "byline": {
          "text": "Unlock themes",
          "text_color": "#404040"
        }
      }
    },
    {
      "key": "bundle0019",
      "name": "Finding Nemo",
      "kind_of_box": "theme bundle",
      "unlocks_keys": [
        "Finding Nemo"
      ],
      "discount": {
        "text": "NEW!",
        "text_color": "#FFFFFF",
        "background": "#e74c3c"
      },
      "design": {
        "background": "#0076a3",
        "bundle_name_color": "#404040",
        "legal": "© 2015 Disney/Pixar. Powered by Swyft",
        "byline": {
          "text": "Unlock Finding Nemo Theme",
          "text_color": "#a0c0cd"
        }
      },
      "branded_info": {
        "brand_id": "Disney",
        "customer_facing_name": "Finding Nemo",
        "id": "findingnemo_001",
        "price_in_currency": 1.99,
        "currency_code": "USD"
      }
    },
    {
      "key": "bundle0020",
      "name": "Big Hero 6",
      "kind_of_box": "theme bundle",
      "unlocks_keys": [
        "Big Hero 6"
      ],
      "discount": {
        "text": "NEW!",
        "text_color": "#FFFFFF",
        "background": "#e74c3c"
      },
      "design": {
        "background": "#d5f7fe",
        "bundle_name_color": "#404040",
        "legal": "© 2015 Disney/Pixar. Powered by Swyft",
        "byline": {
          "text": "Unlock Big Hero 6 Theme",
          "text_color": "#404040"
        }
      },
      "branded_info": {
        "brand_id": "Disney",
        "customer_facing_name": "Big Hero 6",
        "id": "bighero6_001",
        "price_in_currency": 1.99,
        "currency_code": "USD"
      }
    },
    {
      "key": "bundle0021",
      "name": "Om Nom",
      "kind_of_box": "theme bundle",
      "unlocks_keys": [
        "Om Nom"
      ],
      "discount": {
        "text": "NEW!",
        "text_color": "#FFFFFF",
        "background": "#e74c3c"
      },
      "design": {
        "background": "#db9b50",
        "bundle_name_color": "#404040",
        "legal": "© 2015 ZeptoLab UK Limited. Powered By Swyft",
        "byline": {
          "text": "Unlock Om Nom Theme",
          "text_color": "#fafafa"
        }
      },
      "branded_info": {
        "brand_id": "Cut the Rope",
        "customer_facing_name": "Om Nom",
        "id": "omnom_001",
        "price_in_currency": 0.99,
        "currency_code": "USD"
      }
    },
    {
      "key": "bundle0001",
      "name": "Frozen",
      "kind_of_box": "theme bundle",
      "unlocks_keys": [
        "Frozen1",
        "Frozen2"
      ],
      "discount": {
        "text": "NEW!",
        "text_color": "#FFFFFF",
        "background": "#e74c3c"
      },
      "design": {
        "background": "#81ccdc",
        "bundle_name_color": "#404040",
        "legal": "© Disney. Powered by Swyft Media",
        "byline": {
          "text": "Unlock Frozen Themes",
          "text_color": "#3d6283"
        }
      },
      "branded_info": {
        "brand_id": "Disney",
        "customer_facing_name": "Frozen",
        "id": "frozen_001",
        "price_in_currency": 3.99,
        "currency_code": "USD"
      }
    },
    {
      "key": "bundle0012",
      "name": "Let it go!",
      "kind_of_box": "theme bundle",
      "unlocks_keys": [
        "Frozen2"
      ],
      "discount": {
        "text": "NEW!",
        "text_color": "#FFFFFF",
        "background": "#e74c3c"
      },
      "branded_info": {
        "brand_id": "Disney",
        "customer_facing_name": "Let it go!",
        "id": "frozen_002",
        "price_in_currency": 1.99,
        "currency_code": "USD"
      }
    },
    {
      "key": "bundle0002",
      "name": "Mockingjay",
      "kind_of_box": "theme bundle",
      "unlocks_keys": [
        "HungerGames1"
      ],
      "discount": {
        "text": "NEW!",
        "text_color": "#FFFFFF",
        "background": "#e74c3c"
      },
      "design": {
        "background": "#000000",
        "bundle_name_color": "#404040",
        "legal": "© Lions Gate Entertainment Inc. Powered by Swyft",
        "byline": {
          "text": "Unlock Mockingjay Theme",
          "text_color": "#FFFFFF"
        }
      },
      "branded_info": {
        "brand_id": "lionsGate",
        "customer_facing_name": "Mockingjay",
        "id": "hungerGames_003",
        "price_in_currency": 1.99,
        "currency_code": "USD"
      }
    },
    {
      "key": "bundle0010",
      "name": "Katniss Everdeen",
      "kind_of_box": "theme bundle",
      "unlocks_keys": [
        "HungerGames3"
      ],
      "discount": {
        "text": "NEW!",
        "text_color": "#FFFFFF",
        "background": "#e74c3c"
      },
      "design": {
        "background": "#000000",
        "bundle_name_color": "#404040",
        "legal": "© Lions Gate Entertainment Inc. Powered by Swyft",
        "byline": {
          "text": "Unlock Katniss Theme",
          "text_color": "#FFFFFF"
        }
      },
      "branded_info": {
        "brand_id": "lionsGate",
        "customer_facing_name": "Katniss Everdeen",
        "id": "hungerGames_001",
        "price_in_currency": 1.99,
        "currency_code": "USD"
      }
    },
    {
      "key": "bundle0003",
      "name": "Peanuts",
      "kind_of_box": "theme bundle",
      "unlocks_keys": [
        "Peanuts1",
        "Peanuts2"
      ],
      "discount": {
        "text": "NEW!",
        "text_color": "#FFFFFF",
        "background": "#e74c3c"
      },
      "branded_info": {
        "brand_id": "Disney",
        "customer_facing_name": "Superheroes",
        "id": "Superheroes_01",
        "price_in_currency": 1.99,
        "currency_code": "USD"
      }
    },
    {
      "key": "bundle0005",
      "name": "Gold",
      "kind_of_box": "theme bundle",
      "unlocks_keys": [
        "Gold Member"
      ],
      "design": {
        "background": "#80e3cb95",
        "bundle_name_color": "#404040",
        "byline": {
          "text": "The legendary Gold theme",
          "text_color": "#404040"
        }
      }
    },
    {
      "key": "bundle0006",
      "name": "Classic Dark",
      "price": "free",
      "kind_of_box": "theme bundle",
      "unlocks_keys": [
        "Darkside",
        "Blueberry",
        "Forrest Green"
      ],
      "design": {
        "background": "#80CFD8DC",
        "bundle_name_color": "#404040",
        "byline": {
          "text": "Unlock themes",
          "text_color": "#404040"
        }
      }
    },
    {
      "key": "bundle0007",
      "price": "free",
      "name": "Classic Light",
      "kind_of_box": "theme bundle",
      "unlocks_keys": [
        "Teal Dream",
        "Red Snapper",
        "Lightside"
      ],
      "design": {
        "background": "#80CFD8DC",
        "bundle_name_color": "#404040",
        "byline": {
          "text": "Unlock themes",
          "text_color": "#404040"
        }
      }
    },
    {
      "key": "theme1",
      "name": "Liquid Sky",
      "kind_of_box": "theme",
      "type": "theme",
      "unlocks_keys": [
        "Liquid Sky",
        "bundle_themes_premium"
      ]
    },
    {
      "key": "theme2",
      "name": "Deep Blue",
      "kind_of_box": "theme",
      "unlocks_keys": [
        "Deep Blue",
        "bundle_themes_premium"
      ]
    },
    {
      "key": "theme3",
      "name": "Hot Pink",
      "kind_of_box": "theme",
      "unlocks_keys": [
        "Hot Pink",
        "bundle_themes_premium"
      ]
    },
    {
      "key": "theme4",
      "name": "Purple Haze",
      "kind_of_box": "theme",
      "unlocks_keys": [
        "Purple Haze",
        "bundle_themes_premium"
      ]
    },
    {
      "key": "theme5",
      "name": "New Light",
      "kind_of_box": "theme",
      "unlocks_keys": [
        "New Light",
        "bundle_themes_premium"
      ]
    },
    {
      "key": "theme6",
      "name": "Key Lime",
      "kind_of_box": "theme",
      "unlocks_keys": [
        "Key Lime",
        "bundle_themes_premium"
      ]
    },
    {
      "key": "theme7",
      "name": "Sun Kiss",
      "kind_of_box": "theme",
      "unlocks_keys": [
        "Sun Kiss",
        "bundle_themes_premium"
      ]
    },
    {
      "key": "theme8",
      "name": "Sunflower",
      "kind_of_box": "theme",
      "unlocks_keys": [
        "Sunflower",
        "bundle_themes_premium"
      ]
    },
    {
      "key": "theme9",
      "name": "Blood Red",
      "kind_of_box": "theme",
      "unlocks_keys": [
        "Blood Red",
        "bundle_themes_premium"
      ]
    },
    {
      "key": "theme10",
      "name": "True Black",
      "kind_of_box": "theme",
      "unlocks_keys": [
        "True Black",
        "bundle_themes_premium"
      ]
    },
    {
      "key": "fleksy",
      "name": "Fleksy",
      "kind_of_box": "application",
      "unlocks_keys": [
        "purchasedFleksy",
        "Gold Member"
      ]
    },
    {
      "key": "bundle_themes_premium",
      "name": "10 Premium Themes",
      "kind_of_box": "theme bundle",
      "unlocks_keys": [
        "True Black",
        "Blood Red",
        "Sunflower",
        "Sun Kiss",
        "Key Lime",
        "New Light",
        "Purple Haze",
        "Hot Pink",
        "Deep Blue",
        "Liquid Sky"
      ]
    },
    {
      "key": "meizu",
      "name": "Meizu",
      "kind_of_box": "theme bundle",
      "unlocks_keys": [
        "Meizu White"
      ]
    },
    {
      "key": "slot0001",
      "name": "Extension Slot",
      "kind_of_box": "extension slot",
      "unlocks_keys": []
    },
    {
      "key": "slot0002",
      "name": "Extension Slot",
      "kind_of_box": "extension slot",
      "unlocks_keys": []
    },
    {
      "key": "slot0003",
      "name": "Extension Slot",
      "kind_of_box": "extension slot",
      "unlocks_keys": []
    },
    {
      "key": "slot0004",
      "name": "Extension Slot",
      "kind_of_box": "extension slot",
      "unlocks_keys": []
    },
    {
      "key": "slot0005",
      "name": "Extension Slot",
      "kind_of_box": "extension slot",
      "unlocks_keys": []
    },
    {
      "key": "slot0006",
      "name": "Extension Slot",
      "kind_of_box": "extension slot",
      "unlocks_keys": []
    },
    {
      "key": "slot0007",
      "name": "Extension Slot",
      "kind_of_box": "extension slot",
      "unlocks_keys": []
    },
    {
      "key": "slot0008",
      "name": "Extension Slot",
      "kind_of_box": "extension slot",
      "unlocks_keys": []
    },
    {
      "key": "slot0009",
      "name": "Extension Slot",
      "kind_of_box": "extension slot",
      "unlocks_keys": []
    },
    {
      "key": "slot0010",
      "name": "Extension Slot",
      "kind_of_box": "extension slot",
      "unlocks_keys": []
    },
    {
      "key": "slot0011",
      "name": "Extension Slot",
      "kind_of_box": "extension slot",
      "unlocks_keys": []
    },
    {
      "key": "slot0012",
      "name": "Extension Slot",
      "kind_of_box": "extension slot",
      "unlocks_keys": []
    },
    {
      "key": "slot0013",
      "name": "Extension Slot",
      "kind_of_box": "extension slot",
      "unlocks_keys": []
    },
    {
      "key": "slot0014",
      "name": "Extension Slot",
      "kind_of_box": "extension slot",
      "unlocks_keys": []
    },
    {
      "key": "slot0015",
      "name": "Extension Slot",
      "kind_of_box": "extension slot",
      "unlocks_keys": []
    },
    {
      "key": "slot0016",
      "name": "Extension Slot",
      "kind_of_box": "extension slot",
      "unlocks_keys": []
    },
    {
      "key": "slot0017",
      "name": "Extension Slot",
      "kind_of_box": "extension slot",
      "unlocks_keys": []
    },
    {
      "key": "slot0018",
      "name": "Extension Slot",
      "kind_of_box": "extension slot",
      "unlocks_keys": []
    },
    {
      "key": "slot0019",
      "name": "Extension Slot",
      "kind_of_box": "extension slot",
      "unlocks_keys": []
    },
    {
      "key": "slot0020",
      "name": "Extension Slot",
      "kind_of_box": "extension slot",
      "unlocks_keys": []
    },
    {
      "key": "slot0021",
      "name": "Extension Slot",
      "kind_of_box": "extension slot",
      "unlocks_keys": []
    },
    {
      "key": "slot0022",
      "name": "Extension Slot",
      "kind_of_box": "extension slot",
      "unlocks_keys": []
    },
    {
      "key": "slot0023",
      "name": "Extension Slot",
      "kind_of_box": "extension slot",
      "unlocks_keys": []
    }
  ]
};

var prices = {
	"bundle0000": {
		"display_price": "$0.99",
		"price": 0.99,
		"currency_code": "USD"
	},
	"bundle0001": {
		"display_price": "$3.99",
		"price": 3.99,
		"currency_code": "USD"
	},
	"bundle0002": {
		"display_price": "$0.99",
		"price": 0.99,
		"currency_code": "USD"
	},
	"bundle0003": {
		"display_price": "FREE",
		"price": 0,
		"currency_code": "USD"
	},
	"bundle0004": {
		"display_price": "$3.99",
		"price": 3.99,
		"currency_code": "USD"
	},
	"bundle0005": {
		"display_price": "$3.99",
		"price": 3.99,
		"currency_code": "USD"
	},
	"bundle0006": {
		"display_price": "$3.99",
		"price": 3.99,
		"currency_code": "USD"
	}
};

var extensions = [
	{
		"key": "extension_key_heartpops",
		"slot_cost": 1,
		"title": "Heart Pops",
		"bar": false,
		"design": { "color": "#FF4081", "icon_class": "icon_heart_pop", "icon": "" },
		"description": "Make your keys pop like a beating heart!"
	},
	{
		"key": "extensions_key_numbers",
		"slot_cost": 1,
		"title": "Numbers Row",
		"bar": true,
		"design": { "color": "#259b24", "icon_class": "icon_numbers", "icon": "" },
		"description": "Add a numbers row above your Fleksy. Swipe up on the top row to enable extension."
	},
	{
		"key": "extension_key_invisible",
		"slot_cost": 1,
		"title": "Invisible Keyboard",
		"bar": false,
		"design": { "color": "#3F51B5", "icon_class": "icon_ext_invisible", "icon": "" },
		"description": "Turn your keyboard invisible! Swipe down and hold to enable, swipe up and hold to disable."
	},
	{
		"key": "extension_key_rainbow",
		"slot_cost": 1,
		"settings": true,
		"needs_login": true,
		"title": "Rainbow Pops",
		"bar": false,
		"design": { "color": "#ef6c00", "icon_class": "icon_ext_rainbow", "icon": "" },
		"description": "Make your keys pop like the rainbow!"
	},
	{
		"key": "extension_key_shortcuts",
		"slot_cost": 1,
		"title": "Shortcuts",
		"bar": false,
		"design": { "color": "#F44336", "icon_class": "icon_ext_shortcuts", "icon": "" },
		"description": "Allow Fleksy to correct predefined snippets to longer words. Ex. omw -> on my way!",
		"settings": true,
		"allows_multiples": true
	},
	{
		"key": "extension_key_launcher",
		"slot_cost": 1,
		"title": "Launcher",
		"bar": true,
		"design": { "color": "#009688", "icon_class": "icon_done2", "icon": "" },
		"description": "Launch your favorite apps. Swipe up on the top row to enable extension. Tap + to add shortcut to current app, swipe it up to remove."
	},
	{
		"key": "extension_key_editor",
		"slot_cost": 1,
		"title": "Editor",
		"bar": true,
		"design": { "color": "#7e57c2", "icon_class": "icon_ext_editor", "icon": "" },
		"description": "Cut, copy, paste and drag to move cursor. Swipe up on the top row to enable extension."
	},
	{
		"key": "extension_key_popcolor",
		"slot_cost": 1,
		"title": "Color Pops",
		"bar": false,
		"design": { "color": "#607D8B", "icon_class": "icon_color_pops", "icon": "" },
		"description": "Set the color of your key pops!",
		"settings": true
	},
	{
		"key": "extension_key_yahoo",
		"slot_cost": 1,
		"title": "Yahoo! Search",
		"bar": true,
		"design": { "color": "#2d1152", "icon_class": "icon_search", "icon": "" },
		"description": "Search the web for text, images or videos anywhere!"
	},
	{
		"key": "extension_key_hotkeys",
		"slot_cost": 1,
		"title": "Hotkeys",
		"bar": true,
		"design": { "color": "#ffc03a", "icon_class": "icon_hot", "icon": "" },
		"description": "Add a row of keys for things you type often like emojis, symbols or email addresses.",
		"settings": true
	},
	{
		"key": "extension_key_gif",
		"slot_cost": 2,
		"title": "GiF Keyboard",
		"bar": true,
		"design": { "color": "#039be5", "icon_class": "icon_ext_gif2", "icon": "" },
		"description": "Send GIFs directly from Fleksy! Switch to emoji and tap GIF. Looks best in Hangouts."
	}
];

var purchases = {
	"purchases": [
		'bundle0003',
		'themebuilder'
	]
};

var free_inventory = {
	"free_inventory": [{
 "themes": 2,
 "selected_themes": [
	 "Jet Black"
	 ]
 },
 {
 "extension_slots": 3
 }
 ]
};

var active_extensions = {
	active_extensions: [
		"null",
		"null",
		"extensions_key_numbers"
	]
};

var synced_extensions = {
	synced_extensions: [
		"extension_key_numbers",
		"extension_key_launcher"
	]
};

var sizes = {
	"sizes": [
		"original",
		"small",
		"tiny"
	]
};

var i18nStrings = {
  "themes": {
    "free_theme_callout": "Select your Free Theme",
    "free_theme_unlock": "Unlock <b></b> theme",
    "free_button": "FREE",
    "unlock_label": "Unlock",
    "bundle_buy_button": "GET",
    "tweet_button": "Request more Themes",
    "tweet_text": ".@Fleksy lets you personalize your keyboard with awesome themes! I can’t wait for even more #FleksyThemes 😄"
  },
  "extensions": {
    "tutorial_title": "Extensions!",
    "tutorial_text": "Drag and drop extension cards to add or remove the features you enjoy. <b>Tap cards for more info!</b>.",
    "tutorial_dismiss_button": "Got it!",
    "setup_extension_button": "Setup!",
    "add_extension_button": "Add!",
    "remove_extension_button": "Remove",
    "activation_limit_message": "Can't activate more copies of this extension.",
    "extensions_full_message": "Slots full, remove an extension to make room.",
    "tweet_button": "Request more Extensions!",
    "tweet_text": ".@Fleksy lets you customize your keyboard with awesome features! I can’t wait for even more #Fleksyextensions 😄"
  },
  "size": {
    "spacebar": "Spacebar",
    "minimal": "Minimal",
    "Large": "Large",
    "Original": "Original",
    "Small": "Small",
    "Tiny": "Tiny"
  }
};

var activeExtensionsString =  JSON.stringify(active_extensions);
var extensionsString =  JSON.stringify(extensions);
var themeString =  JSON.stringify(themes);
var themeStringiOS =  JSON.stringify(themesIOS);
var itemString =  JSON.stringify(inventory);
var priceString =  JSON.stringify(prices);
var purchaseString =  JSON.stringify(purchases);
var freeInventoryString =  JSON.stringify(free_inventory);
var sizesString =  JSON.stringify(sizes);
var syncedExtensionsString =  JSON.stringify(synced_extensions);
var userThemes =  JSON.stringify(user_themes);
